<?php include 'header.php' ?>

<div id='mainbox'>
	<a href='<?=$this->make_url($set->thisimg->path)?>'><img src='<?=$this->make_url($set->thisimg->path, 'preview')?>' alt='preview image' class='info'/></a>
	<ul class='menu'>
	<li>view:</li>
	<li><a href='<?=$this->make_url($set->thisimg->path)?>'>larger image</a></li>
	<li><a href='<?=$this->make_url($set->thisimg->path, 'full')?>'>full resolution image</a></li>
	</ul>
</div>

<div id='sidebar'>
	<h2><?=$set->thisimg->index+1?> of <?=$set->imglistcount?> images</h2>

	<div class='cursor'>
		<? if ($set->previmg) { ?>
		<a href='<?=$this->make_url($set->previmg->path, MODE_INFO)?>'><img src='<?=$this->make_url($set->previmg->path, MODE_SMALLTHUMB)?>' class='prev' alt='previous' title='<?=$set->previmg->meta->description?>'/></a><br/>
		&laquo; previous
		<? } else { ?>
		<img src='<?=$this->theme_uri?>/nomoreimages.png' class='prev' alt='no previous' title='no more images'/><br/>
		<? } ?>
	</div>
	<div class='cursor'>
		<? if ($set->nextimg) { ?>
		<a href='<?=$this->make_url($set->nextimg->path, MODE_INFO)?>'><img src='<?=$this->make_url($set->nextimg->path, MODE_SMALLTHUMB)?>' class='next' alt='next' title='<?=$set->nextimg->meta->description?>'/></a><br/>
		&raquo; next
		<? } else { ?>
		<img src='<?=$this->theme_uri?>/nomoreimages.png' class='next' alt='no next' title='no more images'/>
		<? } ?>
	</div>

	<br/>

	<div class='clear'>&nbsp;</div>

	<?
	@print_meta('Place', $set->thisimg->meta->place );
	@print_meta('Taken', $set->thisimg->meta->get_date() );
	@print_meta('Description', $set->thisimg->meta->description );
	?>

<? if ( count($set->thisimg->meta->tags) ): ?>
	<h2>Tags</h2>
	<ul class='taglist'>
	<? foreach( $set->thisimg->meta->tags  as $tag ) print "\t<li>$tag</li>\n"; ?>
	</ul>
<? endif; ?>
</div>

<div class='clear'>&nbsp;</div>

<? include 'footer.php'; ?>
