<?php 

require_once 'XML/Parser.php';

class xml_cligsconfig extends XML_Parser
{
	function xml_cligsconfig($cligs)
	{
		$this->state = 0;
		$this->logger = $cligs->logger;
		$this->galleries = array();

		parent::XML_Parser();
	}

	function parse($filename)
	{
		$result = $this->setInputFile($filename);
		if ( FALSE == $result ) {
			$this->logger->warning("xml_cligsconfig(): could not read cligs xml config");
			return FALSE;
		}
		$result = parent::parse();
		if ( FALSE == $result ) {
			$this->logger->warning("xml_cligsconfig(): could not parse cligs xml config");
			return FALSE;
		}

		return TRUE;
	}

	function startHandler($xp, $name, $attribs)
	{
		printf('handle start tag: %s<br />', $name);
		if ($name == "gallery")
			$this->galleries[] = array()
	}

	function endHandler($xp, $name)
	{
		printf('handle end tag: %s<br />', $name);
	}

	function cdataHandler($xp, $cdata)
	{
		print "$cdata<br>";
	}
}



?>
