<?php

function metadata_cligs_directory( &$metadata )
{
		# Default title is directory name
		$metadata->title = basename( $metadata->path );
		$metadata->root = FALSE;

		$xml_filename = $metadata->path . '/gallery.xml';

		if ( !@is_file($xml_filename) )
			return FALSE;

		$xp = xml_parser_create();
		xml_parse_into_struct($xp, file_get_contents( $xml_filename ), $vals, $index); # FIXME: did file_get_con succeeed?
		xml_parser_free($xp);

		$all_data = array();
		$etemplate = array( 	'value' => FALSE, 
					'tag' => FALSE,
					'attributes' => array() );
		foreach ( $vals as $e ) {
			$e = array_merge($etemplate, $e);

			$value = $e['value'];
			$tag = $e['tag'];
			$attr = $e['attributes'];

			if ( $tag == 'TITLE' )
				$metadata->title = $value;
			
			elseif ( $tag == 'DESCRIPTION' )
				$metadata->description = $value;

			elseif ( $tag == 'FOOTER' )
				$metadata->footer = $value;

			elseif ( $tag == 'FOOTERFILE' )
				$metadata->footerfile = $value;

			elseif ( $tag == 'ICON' )
				$metadata->icon = $value;

			elseif ( $tag == 'SET' ) {
				if ( isset($attr['ROOT']) && $attr['ROOT'] == 'yes' )
					$metadata->root = TRUE;
			}
				
			$all_data[$tag] = $value;
		
		}
		$metadata->group['cligs_directory'] = $all_data;
}
?>
