<?= '<?xml version="1.0"?>'?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns='http://www.w3.org/1999/xhtml' xml:lang='en' lang='en'>
<head profile='http://gmpg.org/xfn/11'>
	<meta http-equiv='Content-Type' content='text/html; charset=utf-8' />
	<meta name='generator' content='Cligs' />
	<link href='<?=$this->theme_uri;?>/snailwheels.css' rel='stylesheet' />
	<title><?=$this->meta->title?></title>

<? if ( $set->previmg): ?>
	<link rel='Prev'  href='<?=$this->make_url($set->previmg->path, MODE_INFO)?>' title='<?=$set->previmg->meta->title?>'/>
<? endif; ?>

<? if ( $set->nextimg ): ?>
	<link rel='Next'  href='<?=$this->make_url($set->nextimg->path, MODE_INFO)?>' title='<?=$set->nextimg->meta->title?>'/>
<? endif; ?>
	
<? if ( $set->thisimg ): ?>
	<link rel='Contents'  href='<?=$this->make_url($set->path)?>' title='<?=$set->meta->title?>'/>
	<meta name='keywords' content='<?=join($set->thisimg->meta->tags, ',')?>' />
<? else: ?>
	<link rel='Contents'  href='<?=$this->make_url($set->parent->path)?>' title='<?=$set->parent->meta->title?>'/>
	<meta name='keywords' content='<?=join($set->meta->tags, ',')?>' />
<? endif; ?>
</head>
<body>
<div id='topbar'>
<ul class='menu'>
<? foreach( $this->links as $title => $link ): ?>
<li><a href="<?=$link?>"><?=$title?></a></li>
<? endforeach; ?>
</ul>
</div>

<div id='main'>
<? if ($set->thisimg): ?>
<h1><?=$set->thisimg->meta->title?></h1> is part of the <a href='<?=$this->make_url($set->path)?>' title='<?=$set->meta->description?>'><?=$set->meta->title?></a> set
<? else: ?>
<h1><?=$set->meta->title?></h1>
<? if (!$set->meta->root): ?>
is part of the <a href='<?=$this->make_url($set->parent->path)?>' title='<?=$set->parent->meta->description?>'><?=$set->parent->meta->title?></a> set
<? endif; ?>
<? endif; ?>
